import { GraphQLClient } from 'graphql-request';
import { CreateUserMutationVariables, UpdateUserMutationVariables, UserWhereUniqueInput } from '../gql/graphql';
import { BaseFunctions } from './BaseFunctions';
declare class UserFunctions extends BaseFunctions {
    constructor(client: GraphQLClient);
    getUser(where: UserWhereUniqueInput): Promise<import("../gql/graphql").GetUserQuery>;
    createUser(userData: CreateUserMutationVariables['data']): Promise<import("../gql/graphql").CreateUserMutation>;
    updateUser(userId: number, userData: UpdateUserMutationVariables['data']): Promise<import("../gql/graphql").UpdateUserMutation>;
    deleteUser(userId: number): Promise<import("../gql/graphql").DeleteUserMutation>;
}
export { UserFunctions };
